Skip to main content
GET
/
intake
/
{matterId}
/
submissions
Get intake submissions for a matter
curl --request GET \
  --url https://api.smokeball.com/intake/{matterId}/submissions \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "value": [
    {
      "id": "<string>",
      "href": "<string>",
      "relation": "<string>",
      "method": "GET",
      "self": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "formId": "ae4bc84e-b601-4767-9d0f-5d078832418e",
      "formTitle": "Client Intake Form",
      "status": "draft",
      "communicationMethod": "email",
      "matter": {
        "id": "<string>",
        "href": "<string>",
        "relation": "<string>",
        "method": "GET"
      },
      "createdDate": "2026-01-01T00:00:00.0000000+00:00",
      "lastUpdated": "2026-01-01T00:00:00.0000000+00:00",
      "recipient": {
        "contactId": "5d9b8697-8c6f-45dd-b22d-87045ed4df35",
        "email": "client@example.com",
        "name": "Sample Client"
      }
    }
  ],
  "offset": 123,
  "limit": 123,
  "size": 123,
  "first": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "previous": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "next": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "last": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required

The matter to filter submissions by.

Query Parameters

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500

Response

OK

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object
value
object[] | null
offset
integer<int32> | null
limit
integer<int32> | null
size
integer<int64>
first
object
previous
object
next
object
last
object